Waiting for engine...
Skip to main content

Boomi Data Hub Repository API Reference (1.0.0) - Universes

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Universes

Configure and manage data domains. Create and manage universes (domains), deploy models, and control repository-level configuration. Use this API to administer and structure your Data Hub environment.

Get Deployed Universe

The Get Deployed Universe operation retrieves the XML representation of a specified universe (domain and model configuration) under the authenticated account.

Security Requirements: You must have one of the following MDM privileges:

Without Advanced Security:

  • MDM - View Repositories OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuth
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
_id
string
_version
string
_name
string
object (UniverseStatistics)
Array of objects (Source)
_layoutId
string
object (Layout)
_matchConfigId
string
object (MatchConfig)
object (DataQuality)

Response samples

Content type
application/xml
<universe>
   <id>1d969a54-49e5-4f75-974a-85869280873d</id>
   <version>836e6d2d-47c7-457b-94f1-54ae07492d2f</version>
   <name>employees</name>
   <stats asOf="2015-08-10T15:58:09.034Z" quarantinedRecords="1" enddatedRecords="0" activeRecords="0">
      <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="0" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="s2"/>
      <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="0" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="s1"/>
   </stats>
   <sources>
      <source code="s2" componentId="21e69e35-77a2-4db7-95fb-7214f30138a9" state="STRAPPED" allowContribute="true">
         <channel primary="true" state="STRAPPED" updateType="DIFF" id="dc875c5c-a83d-42b5-a01a-294613bca68a"/>
      </source>
      <source code="s1" componentId="9d443e21-ec56-4012-818f-9011be640b40" state="STRAPPED" allowContribute="true" default="true">
         <channel primary="true" state="STRAPPED" updateType="FULL" id="a8ecff8f-071c-43b2-a689-ef9c5fc758da"/>
      </source>
   </sources>
   <layoutid>1d969a54-49e5-4f75-974a-85869280873d</layoutid>
   <layout idXPath="/employees/id">
      <model name="employees">
         <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="name" name="name" uniqueId="UQKEY"/>
         <element collectionUniqueId="PHONE_1" collectionTag="phone" collectionPrettyName="phone" collectionMatchType="OCCURRENCE" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="phone" name="phone" uniqueId="PHONE"/>
         <element collectionUniqueId="EMAIL_1" collectionTag="email" collectionPrettyName="email" collectionMatchKeys="TYPE" collectionMatchType="KEY" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="email" name="email" uniqueId="EMAIL">
            <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="type" name="type" uniqueId="TYPE"/>
            <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="email" name="email" uniqueId="EMAIL_2"/>
         </element>
         <element collectionUniqueId="ADDR" collectionTag="addr" collectionPrettyName="addr" collectionMatchKeys="TYPE_1" collectionMatchType="KEY" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="addrs" name="addrs" uniqueId="ADDRS">
            <element repeatable="false" titleField="false" enforceIntegrity="false" required="true" type="ENUMERATION" prettyName="type" name="type" uniqueId="TYPE_1">
               <value>home</value>
               <value>work</value>
               <value>away</value>
               <value>unknown</value>
            </element>
            <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="address" name="address" uniqueId="ADDRESS">
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="line" name="line" uniqueId="LINE"/>
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="zip" name="zip" uniqueId="ZIP"/>
            </element>
         </element>
      </model>
      <deletedElements/>
      <xsd><![CDATA[<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema"><xs:element name="employees"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="1" name="id" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="name" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="phone"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="phone" type="xs:string"/></xs:sequence></xs:complexType></xs:element><xs:element maxOccurs="1" minOccurs="0" name="email"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="email"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="type" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="email" type="xs:string"/></xs:all></xs:complexType></xs:element></xs:sequence></xs:complexType></xs:element><xs:element maxOccurs="1" minOccurs="0" name="addr"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="addrs"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="type" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="address"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="line" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="zip" type="xs:string"/></xs:all></xs:complexType></xs:element></xs:all></xs:complexType></xs:element></xs:sequence></xs:complexType></xs:element></xs:all><xs:attribute name="op" type="xs:string"/><xs:attribute name="ts" type="xs:string"/><xs:attribute name="grid" type="xs:string"/><xs:attribute name="enddate" type="xs:string"/></xs:complexType></xs:element></xs:schema>]]></xsd>
      <field prettyName="Id" type="STRING" xpath="/employees/id"/>
      <field titleField="false" enforceIntegrity="false" required="false" prettyName="name" type="STRING" xpath="/employees/name" uniqueId="UQKEY"/>
      <field collectionMatchType="OCCURRENCE" prettyName="phone" type="COLLECTION" xpath="/employees/phone" uniqueId="PHONE_1"/>
      <field collectionId="PHONE_1" titleField="false" enforceIntegrity="false" required="false" prettyName="phone" type="STRING" xpath="/employees/phone/phone" uniqueId="PHONE"/>
      <field collectionMatchType="KEY" prettyName="email" type="COLLECTION" xpath="/employees/email" uniqueId="EMAIL_1">
         <matchKey>TYPE</matchKey>
      </field>
      <field collectionId="EMAIL_1" titleField="false" enforceIntegrity="false" required="false" prettyName="type" type="STRING" xpath="/employees/email/email/type" uniqueId="TYPE"/>
      <field collectionId="EMAIL_1" titleField="false" enforceIntegrity="false" required="false" prettyName="email" type="STRING" xpath="/employees/email/email/email" uniqueId="EMAIL_2"/>
      <field collectionMatchType="KEY" prettyName="addr" type="COLLECTION" xpath="/employees/addr" uniqueId="ADDR">
         <matchKey>TYPE_1</matchKey>
      </field>
      <field collectionId="ADDR" titleField="false" enforceIntegrity="false" required="true" prettyName="type" type="ENUMERATION" xpath="/employees/addr/addrs/type" uniqueId="TYPE_1">
         <value>work</value>
         <value>away</value>
         <value>home</value>
         <value>unknown</value>
      </field>
      <field collectionId="ADDR" titleField="false" enforceIntegrity="false" required="false" prettyName="line" type="STRING" xpath="/employees/addr/addrs/address/line" uniqueId="LINE"/>
      <field collectionId="ADDR" titleField="false" enforceIntegrity="false" required="false" prettyName="zip" type="STRING" xpath="/employees/addr/addrs/address/zip" uniqueId="ZIP"/>
   </layout>
   <matchid>1d969a54-49e5-4f75-974a-85869280873d</matchid>
   <matchconfig>
      <round>
         <matchrule xsi:type="GroupingRule" operator="AND" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
            <nestedExpression xsi:type="ExpressionRule" operator="EQUALS">
               <input xsi:type="UniqueIdRuleInput" type="INCOMING" uniqueId="UQKEY"/>
               <input xsi:type="UniqueIdRuleInput" type="EXISTING" uniqueId="UQKEY"/>
            </nestedExpression>
         </matchrule>
      </round>
   </matchconfig>
   <dataquality>
      <step stepType="CONNECTOR" callFrequency="ALWAYS" connectionId="resource:mdm_loqate" objectTypeId="Verify" operationType="UPDATE" serviceType="loqate" templateName="Verify Address" templateId="verify" name="Verify Address" id="4ab40d19-e306-4670-97cb-93d8a8d03ff8">
         <field value="85" type="INTEGER" id="threshold"/>
         <field value="3" type="INTEGER" id="matchLevelThreshold"/>
         <input uniqueId="ZIP" id="postalcode"/>
         <output uniqueId="ZIP" id="postalcode"/>
      </step>
   </dataquality>
</universe>

Get List of Deployed Universes

The Get List of Deployed Universes operation retrieves the XML representation of all deployed universes (domain and model configurations) under the authenticated account.

Security Requirements: You must have one of the following MDM privileges:

Without Advanced Security:

  • MDM - View Repositories OR
  • MDM - Stewardship Management
Authorizations:
basicAuthbearerAuth
query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Responses

Response Schema: application/xml
Array
_id
string
_version
string
_name
string
object (UniverseStatistics)
Array of objects (Source)
_layoutId
string
object (Layout)
_matchConfigId
string
object (MatchConfig)
object (DataQuality)

Response samples

Content type
application/xml
<universes>
   <universe>
      <id>1d969a54-49e5-4f75-974a-85869280873d</id>
      <version>836e6d2d-47c7-457b-94f1-54ae07492d2f</version>
      <name>employees</name>
      <stats asOf="2015-08-10T15:58:09.034Z" quarantinedRecords="1" enddatedRecords="0" activeRecords="0">
         <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="0" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="s2"/>
         <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="0" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="s1"/>
      </stats>
      <sources>
         <source code="s2" componentId="21e69e35-77a2-4db7-95fb-7214f30138a9" state="STRAPPED" allowContribute="true">
            <channel primary="true" state="STRAPPED" updateType="DIFF" id="dc875c5c-a83d-42b5-a01a-294613bca68a"/>
         </source>
         <source code="s1" componentId="9d443e21-ec56-4012-818f-9011be640b40" state="STRAPPED" allowContribute="true" default="true">
            <channel primary="true" state="STRAPPED" updateType="FULL" id="a8ecff8f-071c-43b2-a689-ef9c5fc758da"/>
         </source>
      </sources>
      <layoutid>1d969a54-49e5-4f75-974a-85869280873d</layoutid>
      <layout idXPath="/employees/id">
         <model name="employees">
            <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="name" name="name" uniqueId="UQKEY"/>
            <element collectionUniqueId="PHONE_1" collectionTag="phone" collectionPrettyName="phone" collectionMatchType="OCCURRENCE" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="phone" name="phone" uniqueId="PHONE"/>
            <element collectionUniqueId="EMAIL_1" collectionTag="email" collectionPrettyName="email" collectionMatchKeys="TYPE" collectionMatchType="KEY" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="email" name="email" uniqueId="EMAIL">
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="type" name="type" uniqueId="TYPE"/>
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="email" name="email" uniqueId="EMAIL_2"/>
            </element>
            <element collectionUniqueId="ADDR" collectionTag="addr" collectionPrettyName="addr" collectionMatchKeys="TYPE_1" collectionMatchType="KEY" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="addrs" name="addrs" uniqueId="ADDRS">
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="true" type="ENUMERATION" prettyName="type" name="type" uniqueId="TYPE_1">
                  <value>home</value>
                  <value>work</value>
                  <value>away</value>
                  <value>unknown</value>
               </element>
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="address" name="address" uniqueId="ADDRESS">
                  <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="line" name="line" uniqueId="LINE"/>
                  <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="zip" name="zip" uniqueId="ZIP"/>
               </element>
            </element>
         </model>
         <deletedElements/>
         <xsd><![CDATA[<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema"><xs:element name="employees"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="1" name="id" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="name" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="phone"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="phone" type="xs:string"/></xs:sequence></xs:complexType></xs:element><xs:element maxOccurs="1" minOccurs="0" name="email"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="email"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="type" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="email" type="xs:string"/></xs:all></xs:complexType></xs:element></xs:sequence></xs:complexType></xs:element><xs:element maxOccurs="1" minOccurs="0" name="addr"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="addrs"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="type" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="address"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="line" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="zip" type="xs:string"/></xs:all></xs:complexType></xs:element></xs:all></xs:complexType></xs:element></xs:sequence></xs:complexType></xs:element></xs:all><xs:attribute name="op" type="xs:string"/><xs:attribute name="ts" type="xs:string"/><xs:attribute name="grid" type="xs:string"/><xs:attribute name="enddate" type="xs:string"/></xs:complexType></xs:element></xs:schema>]]></xsd>
         <field prettyName="Id" type="STRING" xpath="/employees/id"/>
         <field titleField="false" enforceIntegrity="false" required="false" prettyName="name" type="STRING" xpath="/employees/name" uniqueId="UQKEY"/>
         <field collectionMatchType="OCCURRENCE" prettyName="phone" type="COLLECTION" xpath="/employees/phone" uniqueId="PHONE_1"/>
         <field collectionId="PHONE_1" titleField="false" enforceIntegrity="false" required="false" prettyName="phone" type="STRING" xpath="/employees/phone/phone" uniqueId="PHONE"/>
         <field collectionMatchType="KEY" prettyName="email" type="COLLECTION" xpath="/employees/email" uniqueId="EMAIL_1">
            <matchKey>TYPE</matchKey>
         </field>
         <field collectionId="EMAIL_1" titleField="false" enforceIntegrity="false" required="false" prettyName="type" type="STRING" xpath="/employees/email/email/type" uniqueId="TYPE"/>
         <field collectionId="EMAIL_1" titleField="false" enforceIntegrity="false" required="false" prettyName="email" type="STRING" xpath="/employees/email/email/email" uniqueId="EMAIL_2"/>
         <field collectionMatchType="KEY" prettyName="addr" type="COLLECTION" xpath="/employees/addr" uniqueId="ADDR">
            <matchKey>TYPE_1</matchKey>
         </field>
         <field collectionId="ADDR" titleField="false" enforceIntegrity="false" required="true" prettyName="type" type="ENUMERATION" xpath="/employees/addr/addrs/type" uniqueId="TYPE_1">
            <value>work</value>
            <value>away</value>
            <value>home</value>
            <value>unknown</value>
         </field>
         <field collectionId="ADDR" titleField="false" enforceIntegrity="false" required="false" prettyName="line" type="STRING" xpath="/employees/addr/addrs/address/line" uniqueId="LINE"/>
         <field collectionId="ADDR" titleField="false" enforceIntegrity="false" required="false" prettyName="zip" type="STRING" xpath="/employees/addr/addrs/address/zip" uniqueId="ZIP"/>
      </layout>
      <matchid>1d969a54-49e5-4f75-974a-85869280873d</matchid>
      <matchconfig>
         <round>
            <matchrule xsi:type="GroupingRule" operator="AND" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
               <nestedExpression xsi:type="ExpressionRule" operator="EQUALS">
                  <input xsi:type="UniqueIdRuleInput" type="INCOMING" uniqueId="UQKEY"/>
                  <input xsi:type="UniqueIdRuleInput" type="EXISTING" uniqueId="UQKEY"/>
               </nestedExpression>
            </matchrule>
         </round>
      </matchconfig>
      <dataquality>
         <step stepType="CONNECTOR" callFrequency="ALWAYS" connectionId="resource:mdm_loqate" objectTypeId="Verify" operationType="UPDATE" serviceType="loqate" templateName="Verify Address" templateId="verify" name="Verify Address" id="4ab40d19-e306-4670-97cb-93d8a8d03ff8">
            <field value="85" type="INTEGER" id="threshold"/>
            <field value="3" type="INTEGER" id="matchLevelThreshold"/>
            <input uniqueId="ZIP" id="postalcode"/>
            <output uniqueId="ZIP" id="postalcode"/>
         </step>
      </dataquality>
   </universe>
   <universe>
      <id>04ea04cc-9df8-4004-bc00-a21b7dede1bb</id>
      <version>bb072194-2279-42b3-84c1-2f1b2a38c71e</version>
      <name>accounts</name>
      <stats asOf="2014-03-13T16:16:11.557Z" quarantinedRecords="13" enddatedRecords="2" activeRecords="804">
         <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="5" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="WD"/>
         <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="18" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="NS"/>
         <sourceStats undeliverableChannelDeliveries="0" pendingChannelDeliveries="805" pendingBatchRecords="0" pendingBatchUpdates="0" sourceCode="SF"/>
      </stats>
      <sources>
         <source code="WD" componentId="77d45402-5e9b-4b90-ab0e-7ae16f20a4f7" state="STRAPPED" allowContribute="true" default="true">
            <channel primary="true" state="STRAPPED" updateType="FULL" id="61a3bf80-fb38-4d38-a7ff-cf3090f4927e"/>
         </source>
         <source code="NS" componentId="16fd5463-5c1e-4765-bfab-d90b54c24b82" state="STRAPPED" allowContribute="true" requireUpdateApproval="true">
            <channel primary="true" state="STRAPPED" updateType="DIFF" id="486a24c7-205c-4bd7-8a8a-ce2878dad7ef"/>
            <updateApprovalField>ACCOUNT_NAME</updateApprovalField>
            <updateApprovalField>WEBSITE</updateApprovalField>
            <group id="3d243192-f970-4e2b-be3c-21c821ac1271"/>
         </source>
         <source code="SF" componentId="ebd26c4f-6f81-4b62-9729-ea7b45ab1985" state="STRAPPED" allowContribute="true">
            <channel primary="true" state="STRAPPED" updateType="DIFF" id="59ddf71e-43b4-4670-b193-b87895472ef4"/>
         </source>
      </sources>
      <layoutid>04ea04cc-9df8-4004-bc00-a21b7dede1bb</layoutid>
      <layout idXPath="/accounts/id">
         <model name="accounts">
            <element titleField="true" enforceIntegrity="false" required="true" type="STRING" prettyName="Account Name" name="account_name" uniqueId="ACCOUNT_NAME"/>
            <element required="false" type="STRING" prettyName="Phone" name="phone" uniqueId="PHONE"/>
            <element required="false" type="STRING" prettyName="Website" name="website" uniqueId="WEBSITE"/>
            <element titleField="false" enforceIntegrity="false" required="false" type="CLOB" prettyName="Story" name="story" uniqueId="STORY"/>
            <element collectionUniqueId="SLOGANS" collectionTag="slogans" collectionPrettyName="Slogans" collectionMatchType="KEY" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="Slogan" name="slogan" uniqueId="SLOGAN"/>
            <element collectionUniqueId="CONTACTS" collectionTag="contacts" collectionPrettyName="Contacts" collectionMatchKeys="" collectionMatchType="KEY" repeatable="true" titleField="false" enforceIntegrity="false" required="false" type="CONTAINER" prettyName="Contact" name="contact" uniqueId="CONTACT">
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="true" type="STRING" prettyName="Name" name="name" uniqueId="NAME"/>
               <element repeatable="false" titleField="false" enforceIntegrity="false" required="false" type="STRING" prettyName="Title" name="title" uniqueId="TITLE"/>
            </element>
         </model>
         <deletedElements>
            <element collectionUniqueId="CONTACTS" collectionTag="contacts" collectionMatchType="KEY" required="false" type="STRING" prettyName="Contact" name="contact" uniqueId="CONTACT"/>
         </deletedElements>
         <xsd><![CDATA[<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema"><xs:element name="accounts"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="1" name="id" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="account_name" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="phone" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="website" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="story" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="slogans"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="slogan" type="xs:string"/></xs:sequence></xs:complexType></xs:element><xs:element maxOccurs="1" minOccurs="0" name="contacts"><xs:complexType><xs:sequence><xs:element maxOccurs="unbounded" minOccurs="0" name="contact"><xs:complexType><xs:all><xs:element maxOccurs="1" minOccurs="0" name="name" type="xs:string"/><xs:element maxOccurs="1" minOccurs="0" name="title" type="xs:string"/></xs:all></xs:complexType></xs:element></xs:sequence></xs:complexType></xs:element></xs:all><xs:attribute name="op" type="xs:string"/><xs:attribute name="ts" type="xs:string"/><xs:attribute name="grid" type="xs:string"/><xs:attribute name="enddate" type="xs:string"/></xs:complexType></xs:element></xs:schema>]]></xsd>
         <field prettyName="Id" type="STRING" xpath="/accounts/id"/>
         <field titleField="true" enforceIntegrity="false" required="true" prettyName="Account Name" type="STRING" xpath="/accounts/account_name" uniqueId="ACCOUNT_NAME"/>
         <field titleField="false" enforceIntegrity="false" required="false" prettyName="Phone" type="STRING" xpath="/accounts/phone" uniqueId="PHONE"/>
         <field titleField="false" enforceIntegrity="false" required="false" prettyName="Website" type="STRING" xpath="/accounts/website" uniqueId="WEBSITE"/>
         <field titleField="false" enforceIntegrity="false" required="false" prettyName="Story" type="CLOB" xpath="/accounts/story" uniqueId="STORY"/>
         <field collectionMatchType="KEY" prettyName="Slogans" type="COLLECTION" xpath="/accounts/slogans" uniqueId="SLOGANS"/>
         <field collectionId="SLOGANS" titleField="false" enforceIntegrity="false" required="false" prettyName="Slogan" type="STRING" xpath="/accounts/slogans/slogan" uniqueId="SLOGAN"/>
         <field collectionMatchType="KEY" prettyName="Contacts" type="COLLECTION" xpath="/accounts/contacts" uniqueId="CONTACTS"/>
         <field collectionId="CONTACTS" titleField="false" enforceIntegrity="false" required="true" prettyName="Name" type="STRING" xpath="/accounts/contacts/contact/name" uniqueId="NAME"/>
         <field collectionId="CONTACTS" titleField="false" enforceIntegrity="false" required="false" prettyName="Title" type="STRING" xpath="/accounts/contacts/contact/title" uniqueId="TITLE"/>
      </layout>
      <matchid>04ea04cc-9df8-4004-bc00-a21b7dede1bb</matchid>
      <matchconfig>
         <round>
            <matchrule xsi:type="GroupingRule" operator="AND" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
               <nestedExpression xsi:type="ExpressionRule" operator="EQUALS">
                  <input xsi:type="UniqueIdRuleInput" type="INCOMING" uniqueId="ACCOUNT_NAME"/>
                  <input xsi:type="UniqueIdRuleInput" type="EXISTING" uniqueId="ACCOUNT_NAME"/>
               </nestedExpression>
            </matchrule>
         </round>
      </matchconfig>
      <dataquality/>
   </universe>
</universes>

Query Bulk Processing Requests

The Query Bulk Processing Requests API endpoint lets you programmatically retrieve the status of bulk processing requests for golden records, including end-dating and purging records, as well as sending update requests to target sources. The API endpoint returns request data for a universe (deployed model). The data aligns with information you can access in the user interface on the Reporting > Bulk Processing Requests screen.

Additional Information: The request body contains query parameters and filter criteria. The root element is <BulkProcessingQueryRequest> with optional offsetToken and limit parameters, and an optional <filter> element containing query filter parameters.

Query Filter Parameters (wrapped in <filter> tag):

  • type - Filters by request type. String. Optional. Values are: END_DATE, PURGE, SEND_UPDATES.

  • status - Filters by request status. String. Optional. Values are: ALL, PROCESSING, ERRORED, SUCCESSFUL, SUBMITTED, RETRIED, CANCELED.

  • sourceId - Filters by a specific target source ID. Applies only to SEND_UPDATES requests. String. Optional.

  • startTime - Filter by date and time the request was submitted for processing. Datetime. Optional. This tag wraps the to and from tags:

    • from: The start datetime for filtering requests. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
    • to: The end datetime for filtering requests. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string. If startTimeRelative filter is specified, it overrides this filter.
  • startTimeRelative - Filters by a request processing start time frame relative to the current date and time. String. Optional. Values are: PAST_HOUR, PAST_24_HOURS, PAST_WEEK.

  • endTime - Filter by date and time the request finished processing. Datetime. Optional. This tag wraps the to and from tags:

    • from: The start datetime for filtering requests. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
    • to: The end datetime for filtering requests. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string. If endTimeRelative filter is specified, it overrides this filter.
  • endTimeRelative - Filters by a request processing end time frame relative to the current date and time. String. Optional. Values are: PAST_HOUR, PAST_24_HOURS, PAST_WEEK.

Security Requirements: You must have one of the following MDM privileges:

Without Advanced Security:

  • MDM - Source Management
Authorizations:
basicAuthbearerAuth
path Parameters
universeId
any
Example: 851a6a64-6a88-4916-a5b7-d6a974d54318

Universe ID. Listed in the Repositories UI URL.

query Parameters
repositoryId
any

Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface.

Request Body schema: application/xml
required

Request body containing query parameters and filter criteria. The root element is <BulkProcessingQueryRequest> with optional offsetToken and limit parameters, and an optional <filter> element containing query filter parameters for type, status, sourceId, startTime, startTimeRelative, endTime, and endTimeRelative.

object (BulkProcessingQueryFilter)
offsetToken
string
limit
integer <int32>

Responses

Response Schema: application/xml
Array of objects (BulkProcessingRequest)
resultCount
integer <int32>
totalCount
integer <int64>
offsetToken
string

Request samples

Content type
application/xml
Example

Example showing a query with a limit parameter and filter containing type and startTime. Use this to retrieve the first page of results filtered by request type and submission time range.

<BulkProcessingQueryRequest limit="2">
  <filter>
    <type>SEND_UPDATES</type>
    <startTime>
      <from>2025-02-17T15:07:00Z</from>
      <to>2025-02-17T15:07:59Z</to>
    </startTime>
  </filter>
</BulkProcessingQueryRequest>

Response samples

Content type
application/xml
<BulkProcessingQueryResponse resultCount="5" offsetToken="MjAw" totalCount="1000">
   <request>
      <id>176</id>
      <type></type>
      <status></status>
      <recordsTotal>13</recordsTotal>
      <recordsSuccess>13</recordsSuccess>
      <recordsError>0</recordsError>
      <completePercentage>100</completePercentage>
      <startTime>2025-02-17T15:12:00Z</startTime>
      <endTime>2025-02-17T15:12:00Z</endTime>
      <timeElapsed>0</timeElapsed>
   </request>
   <request>
      <id>175</id>
      <type></type>
      <status></status>
      <recordsTotal>15</recordsTotal>
      <recordsSuccess>16</recordsSuccess>
      <recordsError>0</recordsError>
      <completePercentage>100</completePercentage>
      <startTime>2025-02-17T15:12:00Z</startTime>
      <endTime>2025-02-17T15:12:00Z</endTime>
      <timeElapsed>5</timeElapsed>
   </request>
</BulkProcessingQueryResponse>